$(function() {
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null; 
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	//检测表单   
	var reg = /^\d+(\.\d+)?$/;
	$('#ngse-Dshezhi').on('click', function() {
		if (!reg.test($.trim($('#freight').val()))) {
			confirm('你输入的Cookie过期时间不合法，必须是一个数字');
			return false;
		}
		if ($.trim($('#insure').val()) == '') {
			confirm('请输入系统管理后台目录');
			return false;
		}
		if ($.trim($('.posi_box2 .am-dropdown-toggle .am-fl').text()) == '请选择后台语言包') {
			confirm('请选择后台语言包');
			return false;
		}
		if ($.trim($('.posi_box3 .am-dropdown-toggle .am-fl').text()) == '请选择后台模板') {
			confirm('请选择后台模板');
			return false;
		}
		if (!reg.test($.trim($('.ngse-upText').val()))) {
			confirm('你输入的上传文件大小限制不合法，必须是一个数字');
			return false;
		}
		if (!reg.test($.trim($('.ngse-upImg').val()))) {
			confirm('你输入的上传图片大小限制不合法，必须是一个数字');
			return false;
		}
		if (!reg.test($.trim($('.ngse-journal').val()))) {
			confirm('你输入的日志保留最大记录数不合法，必须是一个数字');
			return false;
		}
		if (!reg.test($.trim($('.ngse-description').val()))) {
			confirm('你输入的访问记录保留最大数不合法，必须是一个数字');
			return false;
		}
		if ($.trim($('.ngse-Ojs-width').val()) == '') {
			confirm('请输入富文本编辑器的宽度');
			return false;
		}
		if ($.trim($('.ngse-Ojs-height').val()) == '') {
			confirm('请输入富文本编辑器的高度');
			return false;
		}
		return true;
	});
	$("#web_set").click(function() {
		$("#tab1").addClass("am-active am-in");
		$("#tab1").siblings().removeClass("am-active am-in");
	})
	$("#public_set").click(function() {
		$("#tab2").addClass("am-active am-in");
		$("#tab2").siblings().removeClass("am-active am-in");
	})
	$("#email_set").click(function() {
		$("#tab3").addClass("am-active am-in");
		$("#tab3").siblings().removeClass("am-active am-in");
	})
	$("#ftp_set").click(function() {
		$("#tab4").addClass("am-active am-in");
		$("#tab4").siblings().removeClass("am-active am-in");
	})
	$("#send_set").click(function() {
		$("#tab5").addClass("am-active am-in");
		$("#tab5").siblings().removeClass("am-active am-in");
	})
	$("#wxpay_set").click(function() {
		$("#tab6").addClass("am-active am-in");
		$("#tab6").siblings().removeClass("am-active am-in");
	})
	$("#alipay_set").click(function() {
		$("#tab7").addClass("am-active am-in");
		$("#tab7").siblings().removeClass("am-active am-in");
	})
    $("#product_set").click(function() {
		$("#tab8").addClass("am-active am-in");
		$("#tab8").siblings().removeClass("am-active am-in");
	})
	$('.am-btn-group-xs button').eq($("#tab").val()).click()
	//页面中的input按钮事件
	$('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
		var input=$(this).prev('.tpl-switch-btn')
		if(!input.prop("disabled")&&!input.prop("readonly")){
			input.prop("checked", function() {
				if ($(this).is(':checked')) {
					return false;
				} else {
					return true;
				}
			})
		}
		
	})

	// 加号
	$('#speci-box').on('click', '.am-icon-plus-circle', function(){
		var target=$(this).attr('data-target-option')
		if(target=='group'){
			var index = $('[data-option="group"]').length
			var speci =
			'<div class="am-form-group margin-left-title" data-option="group">'+
				'<ul class="list-inline">'+
					' <li class="align-top">'+
						'<label  class="am-form-label">商品属性：</label> '+
						 '<input type="text" class="name-input align-middle" name="speci_name[]" value="" /> '+
						 '<span class="am-icon-minus-circle align-middle" data-target-option="group"></span>' +
					'</li> '+
					' <li class="align-top">'+
						'<ul class="list-inline">'+
							' <li class="align-top"><label for="" class="am-form-label">商品参数：</label></li>'+
							' <li class="align-top" >'+
								'<ul class="list-unstyled" data-option="list">'+
									' <li data-option="item"><input type="text" class="tpl-form-input" name="speci_param' + index +'[]" value=""><span class="am-icon-plus-circle" data-target-option="list"></span></li>'+
								'</ul>'+
							'</li>'+
						'</ul>'+
					'</li>'+
				'</ul>'+
			'</div>';
			 $(this).parents('.tpl-form-body .tpl-form-line').append(speci)
		}else{
			var input_name = $(this).prev().attr('name')
			var speci_param = ' <li data-option="item"><input type="text" class="tpl-form-input" name="' + input_name + '" value=""><span class="am-icon-minus-circle" data-target-option="item"></span></li>';
			 $(this).parents('[data-option="list"]').append(speci_param)
		}
	})
	// 从新计算name值
	function edit_name(){
	    var specis = $('[data-option="group"]')
	    for(var i=0; i<specis.length; i++){
	        var inputs = specis.eq(i).find('[data-option="item"] input')
	        for(var m=0; m< inputs.length; m++){
	            inputs.eq(m).attr('name', 'speci_param' + i + '[]')
	            console.log('speci_param' + i + '[]')
	        }
	    }
	}
	// 减号
	$('#speci-box').on('click', '.am-icon-minus-circle', function(){
		var target=$(this).attr('data-target-option')
		$(this).parents('[data-option="'+target+'"]').remove()
		if(target=='group'){
			edit_name();
		}
	})
})